# Get current token

`GET /user/token`

Get personal access token used for authorization

**Required Scopes:** `TOKEN_INFO`

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the access token */
  id?: string;
  /** The name/description of the access token */
  name?: string;
  /** The actual access token value. Only returned when creating a new token */
  token?: string;
  /** The token expiration time in days */
  expires_in?: number;
  /** The token expiration date */
  expires_at?: string;
  /** The array of OAuth scopes granted to the token */
  scopes?: string[];
  /** The array of IP addresses that are allowed to use this token */
  ip_restrictions?: string[];
  /** The array of workspaces for which this token can be used */
  workspace_restrictions?: string[];
}
```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/user/tokens/ed0f8927-c116-4afe-b555-c888dfd86c92",
  "html_url": "https://app.buddy.works/api-tokens/details/ed0f8927-c116-4afe-b555-c888dfd86c92",
  "id": "ed0f8927-c116-4afe-b555-c888dfd86c92",
  "name": "My API Token",
  "expires_at": "2025-10-17T10:30:18.123456789Z",
  "scopes": [
    "WORKSPACE",
    "REPOSITORY_READ"
  ],
  "ip_restrictions": [
    "192.168.1.100",
    "10.0.0.0/8"
  ],
  "workspace_restrictions": [
    "my-workspace"
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/account/personal-access-tokens/get/current-token